## ros-melodic-marti-common-msgs 0.10.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(marti_common_msgs)

find_package(catkin REQUIRED COMPONENTS
  message_generation
  std_msgs)

add_message_files(FILES
  BoolStamped.msg
  ByteArrayStamped.msg
  DurationStamped.msg
  Float32Stamped.msg
  Float64Stamped.msg
  HealthStatus.msg
  Int16Stamped.msg
  Int32Stamped.msg
  Int64Stamped.msg
  Int8Stamped.msg
  KeyValue.msg
  KeyValueArray.msg
  Matrix3x3Stamped.msg
  ServiceHeader.msg
  StringArrayStamped.msg
  StringStamped.msg
  TimeStamped.msg
  UInt16Stamped.msg
  UInt32Stamped.msg
  UInt64Stamped.msg
  UInt8Stamped.msg
)

generate_messages(DEPENDENCIES
  std_msgs)

catkin_package(
  CATKIN_DEPENDS
    message_runtime
    std_msgs
)

=== debian/changelog ===
ros-melodic-marti-common-msgs (0.10.0-1stretch) stretch; urgency=high

  * Add explicit dependencies on std_msgs (#110 <https://github.com/swri-robotics/marti_messages/issues/110>)
  * Update minimum cmake version (#108 <https://github.com/swri-robotics/marti_messages/issues/108>)
  * Contributors: P. J. Reed

 -- Marc Alban <malban@swri.org>  Thu, 19 Nov 2020 06:00:00 -0000

ros-melodic-marti-common-msgs (0.9.0-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 10 Jun 2020 05:00:00 -0000

ros-melodic-marti-common-msgs (0.8.0-1stretch) stretch; urgency=high

  * Merge pull request #96 <https://github.com/swri-robotics/marti_messages/issues/96> from matt-attack/add-psuedo-service
  * Add ServiceHeader message
  * Contributors: Matthew Bries, P. J. Reed

 -- Marc Alban <malban@swri.org>  Fri, 19 Oct 2018 05:00:00 -0000

ros-melodic-marti-common-msgs (0.7.0-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Tue, 09 Oct 2018 05:00:00 -0000

ros-melodic-marti-common-msgs (0.6.0-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 24 May 2018 05:00:00 -0000

ros-melodic-marti-common-msgs (0.5.0-1stretch) stretch; urgency=high

  * Add Matrix3x3Stamped message (#90 <https://github.com/swri-robotics/marti_messages/issues/90>)
  * Contributors: Jerry Towler

 -- Marc Alban <malban@swri.org>  Thu, 05 Apr 2018 05:00:00 -0000

ros-melodic-marti-common-msgs (0.4.0-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 08 Nov 2017 06:00:00 -0000

ros-melodic-marti-common-msgs (0.3.0-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 28 Sep 2017 05:00:00 -0000

ros-melodic-marti-common-msgs (0.2.0-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Tue, 29 Aug 2017 05:00:00 -0000

ros-melodic-marti-common-msgs (0.1.0-1stretch) stretch; urgency=high

  * Add HealthStatus message
  * Contributors: Matthew Bries

 -- Marc Alban <malban@swri.org>  Tue, 15 Aug 2017 05:00:00 -0000

ros-melodic-marti-common-msgs (0.0.9-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Mon, 08 May 2017 05:00:00 -0000

ros-melodic-marti-common-msgs (0.0.8-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Sat, 18 Mar 2017 05:00:00 -0000

ros-melodic-marti-common-msgs (0.0.7-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Mon, 06 Feb 2017 06:00:00 -0000

ros-melodic-marti-common-msgs (0.0.6-1stretch) stretch; urgency=high

  * Add StringArrayStamped message.
  * Contributors: Marc Alban

 -- Marc Alban <malban@swri.org>  Sun, 23 Oct 2016 05:00:00 -0000

ros-melodic-marti-common-msgs (0.0.5-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Sun, 14 Aug 2016 05:00:00 -0000

ros-melodic-marti-common-msgs (0.0.4-1stretch) stretch; urgency=high

  * Adding KeyValueArray message.
    This message is meant to be useful when you just need to publish a
    list of KeyValue pairs directly instead of including a list in another
    message.
  * Contributors: Elliot Johnson

 -- Marc Alban <malban@swri.org>  Fri, 20 May 2016 05:00:00 -0000

ros-melodic-marti-common-msgs (0.0.3-1stretch) stretch; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 11 Mar 2016 06:00:00 -0000

ros-melodic-marti-common-msgs (0.0.2-1stretch) stretch; urgency=high

  * Adds a KeyValue message. KeyValue stores a pair of Strings for a map-like
    data structure.
  * Adds a stamped byte array
  * Contributors: Elliot Johnson, Jerry Towler

 -- Marc Alban <malban@swri.org>  Fri, 04 Mar 2016 06:00:00 -0000

ros-melodic-marti-common-msgs (0.0.1-1stretch) stretch; urgency=high

  * Initial Release
  * Contributors: Elliot Johnson, Marc Alban, P. J. Reed

 -- Marc Alban <malban@swri.org>  Tue, 22 Sep 2015 05:00:00 -0000

=== debian/control ===
Source: ros-melodic-marti-common-msgs
Section: misc
Priority: optional
Maintainer: Marc Alban <malban@swri.org>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-message-generation, ros-melodic-std-msgs
Homepage: https://github.com/swri-robotics/marti_messages
Standards-Version: 3.9.2

Package: ros-melodic-marti-common-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-message-runtime, ros-melodic-std-msgs
Description: marti_common_msgs

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-marti-common-msgs//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install

## ros-melodic-marti-common-msgs 0.11.0

=== debian/changelog ===
ros-melodic-marti-common-msgs (0.11.0-3bionic) bionic; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- David Anthony <danthony@swri.org>  Thu, 04 Aug 2022 17:23:27 -0000

ros-melodic-marti-common-msgs (0.10.0-3bionic) bionic; urgency=high

  * Add explicit dependencies on std_msgs (#110 <https://github.com/swri-robotics/marti_messages/issues/110>)
  * Update minimum cmake version (#108 <https://github.com/swri-robotics/marti_messages/issues/108>)
  * Contributors: P. J. Reed

 -- Marc Alban <malban@swri.org>  Thu, 19 Nov 2020 06:00:00 -0000

ros-melodic-marti-common-msgs (0.9.0-3bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 10 Jun 2020 05:00:00 -0000

ros-melodic-marti-common-msgs (0.8.0-3bionic) bionic; urgency=high

  * Merge pull request #96 <https://github.com/swri-robotics/marti_messages/issues/96> from matt-attack/add-psuedo-service
  * Add ServiceHeader message
  * Contributors: Matthew Bries, P. J. Reed

 -- Marc Alban <malban@swri.org>  Fri, 19 Oct 2018 05:00:00 -0000

ros-melodic-marti-common-msgs (0.7.0-3bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Tue, 09 Oct 2018 05:00:00 -0000

ros-melodic-marti-common-msgs (0.6.0-3bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 24 May 2018 05:00:00 -0000

ros-melodic-marti-common-msgs (0.5.0-3bionic) bionic; urgency=high

  * Add Matrix3x3Stamped message (#90 <https://github.com/swri-robotics/marti_messages/issues/90>)
  * Contributors: Jerry Towler

 -- Marc Alban <malban@swri.org>  Thu, 05 Apr 2018 05:00:00 -0000

ros-melodic-marti-common-msgs (0.4.0-3bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Wed, 08 Nov 2017 06:00:00 -0000

ros-melodic-marti-common-msgs (0.3.0-3bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Thu, 28 Sep 2017 05:00:00 -0000

ros-melodic-marti-common-msgs (0.2.0-3bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Tue, 29 Aug 2017 05:00:00 -0000

ros-melodic-marti-common-msgs (0.1.0-3bionic) bionic; urgency=high

  * Add HealthStatus message
  * Contributors: Matthew Bries

 -- Marc Alban <malban@swri.org>  Tue, 15 Aug 2017 05:00:00 -0000

ros-melodic-marti-common-msgs (0.0.9-3bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Mon, 08 May 2017 05:00:00 -0000

ros-melodic-marti-common-msgs (0.0.8-3bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Sat, 18 Mar 2017 05:00:00 -0000

ros-melodic-marti-common-msgs (0.0.7-3bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Mon, 06 Feb 2017 06:00:00 -0000

ros-melodic-marti-common-msgs (0.0.6-3bionic) bionic; urgency=high

  * Add StringArrayStamped message.
  * Contributors: Marc Alban

 -- Marc Alban <malban@swri.org>  Sun, 23 Oct 2016 05:00:00 -0000

ros-melodic-marti-common-msgs (0.0.5-3bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Sun, 14 Aug 2016 05:00:00 -0000

ros-melodic-marti-common-msgs (0.0.4-3bionic) bionic; urgency=high

  * Adding KeyValueArray message.
    This message is meant to be useful when you just need to publish a
    list of KeyValue pairs directly instead of including a list in another
    message.
  * Contributors: Elliot Johnson

 -- Marc Alban <malban@swri.org>  Fri, 20 May 2016 05:00:00 -0000

ros-melodic-marti-common-msgs (0.0.3-3bionic) bionic; urgency=high



 -- Marc Alban <malban@swri.org>  Fri, 11 Mar 2016 06:00:00 -0000

ros-melodic-marti-common-msgs (0.0.2-3bionic) bionic; urgency=high

  * Adds a KeyValue message. KeyValue stores a pair of Strings for a map-like
    data structure.
  * Adds a stamped byte array
  * Contributors: Elliot Johnson, Jerry Towler

 -- Marc Alban <malban@swri.org>  Fri, 04 Mar 2016 06:00:00 -0000

ros-melodic-marti-common-msgs (0.0.1-3bionic) bionic; urgency=high

  * Initial Release
  * Contributors: Elliot Johnson, Marc Alban, P. J. Reed

 -- Marc Alban <malban@swri.org>  Tue, 22 Sep 2015 05:00:00 -0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ros-melodic-marti-common-msgs
 Section: misc
 Priority: optional
-Maintainer: Marc Alban <malban@swri.org>
+Maintainer: David Anthony <danthony@swri.org>
 Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-message-generation, ros-melodic-std-msgs
 Homepage: https://github.com/swri-robotics/marti_messages
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/melodic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
